﻿using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace FeatureGuideCharp
{
    class _05_09_signers_exclude_sender
    {
        private String API_KEY = "your_api_key";
        private String API_URL = "https://sandbox.esignlive.com/api";
        private String packageId = "your_package_id";
        public void Execute() {
            EslClient eslClient = new EslClient(API_KEY, API_URL);

            DocumentPackage pkg = eslClient.GetPackage(new PackageId(packageId));


            //1.loop through all signers and find sender
            String senderEmail = pkg.SenderInfo.Email;

            IList<Signer> signers = pkg.Signers;
            Signer sender = null;
            foreach (var signer in signers)
            {
                if (signer.Email == senderEmail)
                {
                    sender = signer;
                }
            }

            //2.remove sender
            if (sender!=null) {
                signers.Remove(sender);
            }


            //3.check result
            foreach (var signer in signers) {
                Debug.WriteLine(signer.Email);
            }


            }

    }
}
